# -*- encoding: utf-8 -*-

import os
from paste.script import templates
from paste.script.templates import var

RENOMMAGES = {'gitignore' : '.gitignore'}

class DjangoTemplate(templates.Template):
    egg_plugins = ['auf.skeleton.django']
    summary = 'Démarrer un nouveau projet Django avec Buildout'
    _template_dir = 'templates/django'
    use_cheetah = True

    vars = [
    ]

    def post(self, command, output_dir, vars):
        for avant, apres in RENOMMAGES.items():
            avant = os.path.join(output_dir, avant)
            apres = os.path.join(output_dir, apres)
            os.rename(avant, apres)           
        print "----------------------------------------------------------------"
        print "Génération du projet terminée."
        print ""
        print "################### AVERTISSEMENTS #############################"
        print "* Assurez-vous d'avoir chargé votre environement virtuel (DEV)"
        print "################################################################"
        print ""
        print "1 : cd %s (aller dans le nouveau projet)" % output_dir
        print "2 : python bootstrap.py (pour récupérer buildout et setuptools)"
        print "3 : bin/buildout -c devel.cfg (pour boostraper le projet Django)"
        print "5 : Configurer les accès MySQL dans conf.py"
        print "6 : bin/django syncdb (créer les tables)"
        print "7 : bin/django migrate (initialiser les incréments de migration)"
        print "8 : 'Pusher' le projet dans le reposoire git centralisé"
        print ""
        print "----------------------------------------------------------------"
